Bug 114285 - variable used before set
Summary: variable used before set
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-vfs2   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-26 10:36 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-09 11:16:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-01-26 10:36:39 UTC
Description of problem:

I just tried to compile package gnome-vfs2-2.4.1-1, from Redhat
Fedora Core 1.

The compiler said

1.

http-method.c(853): remark #592: variable "mask" is used before its
value is set

The source code is

    struct in_addr host, mask;

	elt->addr.s_addr &= mask.s_addr;

Suggest initialise mask before first use.

	memset( &mask, sizeof( mask), 0);




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Alexander Larsson 2004-02-09 11:16:47 UTC
fixed in upstream cvs.


Note You need to log in before you can comment on or make changes to this bug.